import styles from "./Button.module.css";

export const Button = ({
  backgroundColor,
  children,
  className,
  onClick,
  ...props
}) => {
  return (
    <button
      style={{ backgroundColor }}
      className={`${styles.btn} ${className || ""}`}
      onClick={onClick}
      {...props}
    >
      {children}
    </button>
  );
};
