import { BrowserRouter } from "react-router-dom";
import { Summary } from "./Index";

export default {
  title: "Response/Response",
  component: Summary,
  tags: ["autodocs"],
  argTypes: {
    success: { control: "boolean" },
  },
  parameters: {
    layout: "centered",
  },
  decorators: [
    (Story) => (
      <BrowserRouter>
        <Story />
      </BrowserRouter>
    ),
  ],
};

export const SuccessState = {
  args: {
    success: true,
  },
};

export const ErrorState = {
  args: {
    success: false,
  },
};
