import { Seat as SeatComponent } from "./Seat";

export default {
  title: "Top Level/Seat",
  component: SeatComponent,
  tags: ["autodocs"],

  argTypes: {
    onChange: { action: "OnChange" },
    status: {
      options: ["available", "reserved", "selected"],
      control: { type: "radio" },
    },
  },
  parameters: {
    layout: "centered",
  },
};

export const Seat = {
  args: {
    seatNo: "A1",
    status: "available",
  },
};
