import { SeatSelectionComponent } from "./Index";
export default {
  title: "Top-Level/Seat-Selection",
  component: SeatSelectionComponent,
  parameters: {
    layout: "centered",
  },
  argTypes: {
    onClick: { action: "onClick" },
  },
};

export const SeatSelection = {
  args: {
    seats: [
      [0, "A1", "A2", "A3", 0, "A4", "A5", "A6", 0],
      ["B1", "B2", "B3", "B4", 0, "B5", "B6", "B7", "B8"],
      ["C1", "C2", "C3", "C4", 0, "C5", "C6", "C7", "C8"],
      ["D1", "D2", "D3", "D4", 0, "D5", "D6", "D7", "D8"],
      ["E1", "E2", "E3", "E4", 0, "E5", "E6", "E7", "E8"],
      ["F1", "F2", "F3", "F4", 0, "F5", "F6", "F7", "F8"],
      ["G1", "G2", "G3", "G4", 0, "G5", "G6", "G7", "G8"],
      [0, "H1", "H2", "H3", 0, "H4", "H5", "H7", 0],
    ],
    seatLimit: 2,
    reservedSeats: ["A1"],
    selectedSeats: [],
  },
};
