import { Navigate } from "react-router-dom";

export const ProtectedRoute = ({ children }) => {
  const isLoggedIn = !!(
    localStorage.getItem("userId") || sessionStorage.getItem("userId")
  );
  return isLoggedIn ? children : <Navigate to="/" replace />;
};
