import { Login } from "./Login";

export default {
  title: "Forms/Login",
  component: Login,
  tags: ["autodocs"],
  argTypes: {
    onClick: { action: "User" },
    onChange: { action: "change" },
  },
  parameters: {
    layout: "centered",
  },
};

export const login = {
  render: (args) => <Login {...args} />,
  args: {
    value: "",
    onLogin: (user) => {
      console.log("login", user);
    },
  },
};
