import React from "react";
import style from "./Styles.module.css";
export const Screen = () => {
  return (
    <svg
      width="550"
      height="210"
      viewBox="0 0 300 140"
      xmlns="http://www.w3.org/2000/svg"
      className={style.screen}
    >
      <defs>
        <linearGradient id="lightGradient" x1="0.5" y1="0" x2="0.5" y2="1">
          <stop offset="0%" stopColor="#484ccf" />
          <stop offset="70%" stopColor="#4145c8" />
          <stop offset="100%" stopColor="#3b3fc4" />
        </linearGradient>
        <filter id="blur" x="-25%" y="-25%" width="150%" height="150%">
          <feGaussianBlur stdDeviation="6" />
        </filter>
      </defs>
      <path
        d="M30 60 Q150 45 270 60 L285 130 L10 130 Z"
        fill="url(#lightGradient)"
      />
      <path
        d="M30 60 Q150 45 270 60"
        stroke="#fff"
        strokeWidth="2"
        fill="none"
        strokeLinecap="round"
      />
    </svg>
  );
};
